clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- ~

### - g -

- gatherAncestors() : clang::tidy::modernize::StmtAncestorASTVisitor
- get() : clang::tidy::OptionsView
- getAliasDecl() : clang::tidy::modernize::ForLoopIndexUseVisitor
- getCanonicalPath() : Modularize::ModularizeUtilities
- getCheckName() : clang::tidy::ClangTidyContext
- getCheckNames() : clang::tidy::ClangTidyASTConsumerFactory
- getCheckOptions() : clang::tidy::ClangTidyASTConsumerFactory
- getCheckProfileData() : clang::tidy::ClangTidyContext
- getChecksFilter() : clang::tidy::ClangTidyContext
- getComponents() : clang::tidy::modernize::ComponentFinderASTVisitor
- getConfidenceLevel() : clang::tidy::modernize::ForLoopIndexUseVisitor
- getContainerIndexed() : clang::tidy::modernize::ForLoopIndexUseVisitor
- getCurrentFile() : clang::tidy::ClangTidyContext
- getCurrentMainFile() : clang::tidy::ClangTidyCheck
- getDeclToParentStmtMap() : clang::tidy::modernize::StmtAncestorASTVisitor
- getDefaults() : clang::tidy::ClangTidyOptions
- getDirectoryFromPath() : Modularize::ModularizeUtilities
- GetEdits() : clang::tidy::IncludeSorter
- getErrors() : clang::tidy::ClangTidyContext
- getGeneratedDecls() : clang::tidy::modernize::TUTrackingInfo
- getGlobalOptions() : clang::tidy::ClangTidyContext , clang::tidy::ClangTidyOptionsProvider , clang::tidy::DefaultOptionsProvider
- getHeaderGuard() : clang::tidy::HeaderGuardCheck , clang::tidy::llvm::LLVMHeaderGuardCheck
- getKindName() : Entry
- getLangOpts() : clang::tidy::ClangTidyCheck , clang::tidy::ClangTidyContext
- getLevel() : clang::tidy::modernize::Confidence
- getModuleOptions() : clang::tidy::ClangTidyModule , clang::tidy::google::GoogleModule , clang::tidy::modernize::ModernizeModule
- getOptions() : clang::tidy::ClangTidyContext , clang::tidy::ClangTidyOptionsProvider , clang::tidy::DefaultOptionsProvider , clang::tidy::FileOptionsProvider
- getOptionsForFile() : clang::tidy::ClangTidyContext
- getParentFinder() : clang::tidy::modernize::TUTrackingInfo
- getReplacedVars() : clang::tidy::modernize::TUTrackingInfo
- getSourceString() : PPCallbacksTracker
- getStats() : clang::tidy::ClangTidyContext
- getStmtToParentStmtMap() : clang::tidy::modernize::StmtAncestorASTVisitor
- getUsages() : clang::tidy::modernize::ForLoopIndexUseVisitor
- getUSRs() : clang::rename::USRFindingAction
- getUSRSpelling() : clang::rename::USRFindingAction
- GlobalNamesInHeadersCheck() : clang::tidy::google::readability::GlobalNamesInHeadersCheck
- GlobList() : clang::tidy::GlobList